### Method

# PangoFc FontMap add_decoder_find_func

since: 1.6

#### Declaration [src]

    void
    pango_fc_font_map_add_decoder_find_func (
      PangoFcFontMap* fcfontmap,
      PangoFcDecoderFindFunc findfunc,
      gpointer user_data,
      GDestroyNotify dnotify
    )

#### Description [src]

This function saves a callback method in the `PangoFcFontMap` that will be called whenever new fonts are created.

If the function returns a `PangoFcDecoder`, that decoder will be used to determine both coverage via a `FcCharSet` and a one-to-one mapping of characters to glyphs. This will allow applications to have application-specific encodings for various fonts.

Available since: 1.6

This method is not directly available to language bindings.

#### Parameters

`findfunc`

  Type: `PangoFcDecoderFindFunc`

  The `PangoFcDecoderFindFunc` callback function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`dnotify`

  Type: `GDestroyNotify`

  A `GDestroyNotify` callback that will be called when the fontmap is finalized and the decoder is released.